# SharedStreets (Node.js & JavaScript)

[![npm version](https://badge.fury.io/js/sharedstreets.svg)](https://badge.fury.io/js/sharedstreets)
[![CircleCI](https://circleci.com/gh/sharedstreets/sharedstreets-js.svg?style=svg)](https://circleci.com/gh/sharedstreets/sharedstreets-js)

Node.js & JavaScript implementation of [SharedStreets Reference System](https://github.com/sharedstreets/sharedstreets-ref-system).

## Install

### cli

```sh
npm install sharedstreets -g
```

### lib

```sh
npm install sharedstreets
```

## Usage

### CommonJS

```js
const sharedstreets = require('sharedstreets');
```

### Typescript

```js
import * as sharedstreets from 'sharedstreets';
```

### In Browser

For a full list of web examples, check out [SharedStreets examples](https://github.com/sharedstreets/sharedstreets-examples).

## Development

### Install

```sh
npm install
```

### Test

```sh
npm test
```

### Build docs

```sh
npm run docs
```

### Benchmark

```sh
npm run bench
```
